//=== File Prolog ============================================================
//	This code was developed by NASA, Goddard Space Flight Center, Code 580
//	for the Instrument Remote Control (IRC) project.
//
//--- Notes ------------------------------------------------------------------
//	Development history is located at the end of the file.
//
//--- Warning ----------------------------------------------------------------
//	This software is property of the National Aeronautics and Space
//	Administration. Unauthorized use or duplication of this software is
//	strictly prohibited. Authorized users are subject to the following
//	restrictions:
//	*	Neither the author, their corporation, nor NASA is responsible for
//		any consequence of the use of this software.
//	*	The origin of this software must not be misrepresented either by
//		explicit claim or by omission.
//	*	Altered versions of this software must be plainly marked as such.
//	*	This notice may not be removed or altered.
//
//=== End File Prolog ========================================================

package gov.nasa.gsfc.commons.publishing;

import java.util.EventObject;


/**
 * Listeners subscribe to published events from a publisher.
 * <P>
 * This code was developed for NASA, Goddard Space Flight Center, Code 580 for
 * the Instrument Remote Control (IRC) project.
 * 
 * @version $Date: 2006/04/18 03:52:48 $
 * @author Troy Ames
 */
public interface BusEventListener
{
	/**
	 * Cause this BusEventListener to receive the given published event.
	 * 
	 * @param event A published EventObject
	 */
	public void receiveBusEvent(EventObject event);
}

//--- Development History ----------------------------------------------------
//$Log: BusEventListener.java,v $
//Revision 1.2  2006/04/18 03:52:48  tames
//Javadoc change only.
//
//Revision 1.1  2006/04/05 18:46:35  tames
//Refactoring and implementation of a Publish/Subscribe pattern for EventObjects.
//
//
